#include "mycvframelochaar.h"

mycvFrameLocHaar::mycvFrameLocHaar()
{
    mbCLoaded = false;
}

mycvFrameLocHaar::~mycvFrameLocHaar()
{

}

void mycvFrameLocHaar::loadXML(string aStr)
{
    // Load classifier
    mCascade = CascadeClassifier("d:\\Elek\\C++\\OpencvforQT\\Test\\Cascades\\output.xml");
    if(!mCascade.empty())mbCLoaded = true;
}

void mycvFrameLocHaar::detectFrame(const Mat &aSrc, vector<Rect> &aFrame)
{
    if(mbCLoaded)
        mCascade.detectMultiScale( aSrc, aFrame, 1.1, 2, 0, Size(150, 50), Size(900, 400));    
}
